src/base/cs_physical_properties.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
cs_physical_properties.h File Reference
`#include "cs_defs.h"`
Include dependency graph for cs_physical_properties.h:

Go to the source code of this file.

## Enumerations
enum | cs_phys_prop_thermo_plane_type_t { CS_PHYS_PROP_PLANE_PH, CS_PHYS_PROP_PLANE_PT, CS_PHYS_PROP_PLANE_PS, CS_PHYS_PROP_PLANE_PU, CS_PHYS_PROP_PLANE_PV, CS_PHYS_PROP_PLANE_TS, CS_PHYS_PROP_PLANE_TX }
enum | cs_phys_prop_type_t { CS_PHYS_PROP_PRESSURE, CS_PHYS_PROP_TEMPERATURE, CS_PHYS_PROP_ENTHALPY, CS_PHYS_PROP_ENTROPY, CS_PHYS_PROP_ISOBARIC_HEAT_CAPACITY, CS_PHYS_PROP_ISOCHORIC_HEAT_CAPACITY, CS_PHYS_PROP_SPECIFIC_VOLUME, CS_PHYS_PROP_DENSITY, CS_PHYS_PROP_INTERNAL_ENERGY, CS_PHYS_PROP_QUALITY, CS_PHYS_PROP_THERMAL_CONDUCTIVITY, CS_PHYS_PROP_DYNAMIC_VISCOSITY, CS_PHYS_PROP_SPEED_OF_SOUND }

## Functions
void | cs_phys_prop_freesteam (cs_phys_prop_thermo_plane_type_t thermo_plane, cs_phys_prop_type_t property, const cs_lnum_t n_vals, const cs_real_t var1[], const cs_real_t var2[], cs_real_t val[])
| Compute properties with Freesteam in a defined thermal plane. More...

## Enumeration Type Documentation

enum cs_phys_prop_thermo_plane_type_t

Enumerator
CS_PHYS_PROP_PLANE_PH |
CS_PHYS_PROP_PLANE_PT |
CS_PHYS_PROP_PLANE_PS |
CS_PHYS_PROP_PLANE_PU |
CS_PHYS_PROP_PLANE_PV |
CS_PHYS_PROP_PLANE_TS |
CS_PHYS_PROP_PLANE_TX |

enum cs_phys_prop_type_t

Enumerator
CS_PHYS_PROP_PRESSURE |
CS_PHYS_PROP_TEMPERATURE |
CS_PHYS_PROP_ENTHALPY |
CS_PHYS_PROP_ENTROPY |
CS_PHYS_PROP_ISOBARIC_HEAT_CAPACITY |
CS_PHYS_PROP_ISOCHORIC_HEAT_CAPACITY |
CS_PHYS_PROP_SPECIFIC_VOLUME |
CS_PHYS_PROP_DENSITY |
CS_PHYS_PROP_INTERNAL_ENERGY |
CS_PHYS_PROP_QUALITY |
CS_PHYS_PROP_THERMAL_CONDUCTIVITY |
CS_PHYS_PROP_DYNAMIC_VISCOSITY |
CS_PHYS_PROP_SPEED_OF_SOUND |

## Function Documentation

void cs_phys_prop_freesteam | ( | cs_phys_prop_thermo_plane_type_t | thermo_plane,
|  | cs_phys_prop_type_t | property,
|  | const cs_lnum_t | n_vals,
|  | const cs_real_t | var1[],
|  | const cs_real_t | var2[],
|  | cs_real_t | val[]
| ) |  |

Compute properties with Freesteam in a defined thermal plane.

Parameters

  [in] | thermo_plane | thermodynamic plane
  [in] | property | property queried
  [in] | n_vals | number of values
  [in] | var1 | values on first plane axis
  [in] | var2 | values on second plane axis
  [out] | val | resulting property values

Returns
  floating point value associated with the key id for this field